# Visualization
TKMeshVS
MeshVS

# MeshVS_DataSource3D Class Reference

`#include <MeshVS_DataSource3D.hxx>`

Inheritance diagram for MeshVS_DataSource3D:

[legend]

## Public Member Functions

Standard_EXPORT Handle_MeshVS_HArray1OfSequenceOfInteger | GetPrismTopology (const Standard_Integer BasePoints) const
Standard_EXPORT Handle_MeshVS_HArray1OfSequenceOfInteger | GetPyramidTopology (const Standard_Integer BasePoints) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_MeshVS_HArray1OfSequenceOfInteger | CreatePrismTopology (const Standard_Integer BasePoints)
static Standard_EXPORT Handle_MeshVS_HArray1OfSequenceOfInteger | CreatePyramidTopology (const Standard_Integer BasePoints)

## Private Attributes

MeshVS_DataMapOfHArray1OfSequenceOfInteger | myPrismTopos
MeshVS_DataMapOfHArray1OfSequenceOfInteger | myPyramidTopos

## Member Function Documentation

static Standard_EXPORT Handle_MeshVS_HArray1OfSequenceOfInteger MeshVS_DataSource3D::CreatePrismTopology | ( | const Standard_Integer | BasePoints | ) | `[static]`

static Standard_EXPORT Handle_MeshVS_HArray1OfSequenceOfInteger MeshVS_DataSource3D::CreatePyramidTopology | ( | const Standard_Integer | BasePoints | ) | `[static]`

Standard_EXPORT Handle_MeshVS_HArray1OfSequenceOfInteger MeshVS_DataSource3D::GetPrismTopology | ( | const Standard_Integer | BasePoints | ) | const

Standard_EXPORT Handle_MeshVS_HArray1OfSequenceOfInteger MeshVS_DataSource3D::GetPyramidTopology | ( | const Standard_Integer | BasePoints | ) | const

Standard_EXPORT const MeshVS_DataSource3D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MeshVS_DataSource.

## Field Documentation

MeshVS_DataMapOfHArray1OfSequenceOfInteger MeshVS_DataSource3D::myPrismTopos `[private]`

MeshVS_DataMapOfHArray1OfSequenceOfInteger MeshVS_DataSource3D::myPyramidTopos `[private]`

The documentation for this class was generated from the following file:

- MeshVS_DataSource3D.hxx